# IndustryTileSpec Struct Reference

Defines the data structure of each indivudual tile of an industry. More...

`#include <industry.h>`

## Data Fields

CargoID | accepts_cargo [3]
| Cargo accepted by this tile.
uint8 | acceptance [3]
| Level of aceptance per cargo type.
Slope | slopes_refused
| slope pattern on which this tile cannot be built
byte | anim_production
| Animation frame to start when goods are produced.
byte | anim_next
| Next frame in an animation.
bool | anim_state
| When true, the tile has to be drawn using the animation state instead of the construction state.
uint8 | callback_flags
| Flags telling which grf callback is set.
uint16 | animation_info
| Information about the animation (is it looping, how many loops etc).
uint8 | animation_speed
| The speed of the animation.
uint8 | animation_triggers
| When to start the animation.
uint8 | animation_special_flags
| Extra flags to influence the animation.
bool | enabled
| entity still avaible (by default true).newgrf can disable it, though
struct GRFFileProps | grf_prop

## Detailed Description

Defines the data structure of each indivudual tile of an industry.

Definition at line 217 of file industry.h.

The documentation for this struct was generated from the following file:

- src/industry.h